%define	module	Log-TraceMessages
%define	name	perl-%{module}
%define	version	1.4
%define	release %mkrel 2

Summary:	Log::TraceMessages Perl Module
License:	GPL or Artistic
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Development/Perl
Url:		http://www.cpan.org/
Source0:	%{module}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl-HTML-FromText
BuildArch:	noarch


%description
Log::TraceMessages

This module is a better way of putting 'hello there' trace messages in
your code.  It lets you turn tracing on and off without commenting out
trace statements, and provides other useful things like HTML-ified
trace messages for CGI scripts and an easy way to trace out data
structures using Data::Dumper.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Log/TraceMessages.pm
%{perl_vendorlib}/auto/Log/TraceMessages/autosplit.ix
%{_mandir}/*/*

%changelog
* Sat Jun 02 2005 Stefan van der Eijk <stefan@eijk.nu> 1.4-2mdk
- %%mkrel
- yearly rebuild

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4-1mdk
- 1.4
- clean %%description
- cosmetics

* Sat Nov 29 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3-1mdk
- 1.3

* Wed Apr 09 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.1-1mdk
- Rebuilt for Mandrake 9.1

* Thu May 30 2002 - James Oakley <jfunk@funktronics.ca>
- Initial build with new spec layout
